Package com.sun.java.help.impl

# Class HeaderParser

java.lang.Object
com.sun.java.help.impl.HeaderParser

public class HeaderParser extends Object
This class provides is useful for the nightmare of parsing multi-part HTTP/RFC822 headers sensibly:

     From a String like: 'timeout=15, max=5'
     create an array of Strings:
     { {"timeout", "15"},
       {"max", "5"}
     }
     From one like: 'Basic Realm="FuzzFace" Foo="Biz Bar Baz"'
     create one like (no quotes in literal):
     { {"basic", null},
       {"realm", "FuzzFace"}
       {"foo", "Biz Bar Baz"}
     }
     keys are converted to lower case, vals are left as is....

## Constructor Summary

Constructors
Constructor
Description
`HeaderParser(String raw)`

## Method Summary

Modifier and Type
Method
Description
`int`
`findInt(String k, int Default)`
`String`
`findKey(int i)`
`String`
`findValue(int i)`
`String`
`findValue(String key)`
`String`
`findValue(String k, String Default)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HeaderParser

public HeaderParser(String raw)

## Method Details

### findKey

public String findKey(int i)

### findValue

public String findValue(int i)

### findValue

public String findValue(String key)

### findValue

public String findValue(String k, String Default)

### findInt

public int findInt(String k, int Default)